PULSAR
API ReferenceProduction Advancements

Get Timeframe Suggestions

Get a single timeframe suggestions, identified by machineId.

Authorization

bearerAuth
Authorization<token>

In: header

Path Parameters

machineId*number

The machine's ID.

Formatdouble

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*ProductionAdvancementType

Value in

  • "total"
  • "correct"
  • "defects"
  • "scrap"

Response Body

application/json

Try it live
POST
/production-advancements/{machineId}/timeframe/suggestions

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/production-advancements/0.1/timeframe/suggestions" \  -H "Content-Type: application/json" \  -d 'total'
{  "end": "2019-08-24T14:15:22Z",  "start": "2019-08-24T14:15:22Z"}